@Echo Off
Rem  ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem 
Rem  Initial developer(s): Nicolas Christin
Rem  Contributor(s): Philippe Durieux
Rem  ---------------------------------------------------------------------------
Rem  $Id: newbean.bat,v 1.5 2003/04/14 15:17:40 danesa Exp $
Rem  ---------------------------------------------------------------------------

Rem  Check environment variables:
if not "%JONAS_ROOT%"=="" Goto Run
@echo "JONAS_ROOT must be set"
Goto End

:Run
call %JONAS_ROOT%\bin\nt\setenv.bat
Set JONAS_LIB=%JONAS_ROOT%\lib
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\velocity\velocity-dep.jar;%JONAS_LIB%\common\ow_jonas.jar
Set JAVA_OPTS=%JAVA_OPTS% -Dinstall.root=%JONAS_ROOT% -Djonas.base=%JONAS_BASE% -Djava.security.policy=%JONAS_BASE%\conf\java.policy
%JAVA% %JAVA_OPTS% org.objectweb.jonas.newbean.NewBean %1 %2 %3 %4 %5 %6 %7 %8 %9

:End
